package com.sunxung.factoring.entity.biddingManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * <p>
 * 招投标管理模板审核信息表
 * </p>
 *
 * @author yafan
 * @since 2023-11-21
 */
@TableName("bidding_template_review")
public class BiddingTemplateReview extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 招投标管理基本信息表Id
     */
    @TableField("bidding_basic_info_id")
    @NotNull
    private Long biddingBasicInfoId;

    /**
     * 审批结论 0驳回 1通过
     */
    @TableField("conclusion")
    private Integer conclusion;

    /**
     * 审批意见
     */
    @TableField("comments")
    private String comments;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    public Long getBiddingBasicInfoId() {
        return biddingBasicInfoId;
    }

    public void setBiddingBasicInfoId(Long biddingBasicInfoId) {
        this.biddingBasicInfoId = biddingBasicInfoId;
    }

    public Integer getConclusion() {
        return conclusion;
    }

    public void setConclusion(Integer conclusion) {
        this.conclusion = conclusion;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    @Override
    public String toString() {
        return "BiddingTemplateReview{" +
                ", biddingBasicInfoId=" + biddingBasicInfoId +
                ", conclusion=" + conclusion +
                ", comments=" + comments +
                "}";
    }
}
